Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.finder
Class DefaultClassFinder

    java.lang.Object
      com.opensymphony.xwork2.util.finder.DefaultClassFinder

All Implemented Interfaces:
  ClassFinder

    public class DefaultClassFinder

extends Object
implements ClassFinder

Nested Class Summary
`class` | `DefaultClassFinder.InfoBuildingVisitor`
`class` | `DefaultClassFinder.PackageInfo`

Nested classes/interfaces inherited from interface com.opensymphony.xwork2.util.finder.ClassFinder
`ClassFinder.Annotatable, ClassFinder.AnnotationInfo, ClassFinder.ClassInfo, ClassFinder.FieldInfo, ClassFinder.Info, ClassFinder.MethodInfo`

Constructor Summary
`DefaultClassFinder(Class... classes)`
`DefaultClassFinder(ClassLoaderInterface classLoaderInterface, Collection<URL> urls, boolean extractBaseInterfaces, Set<String> protocols, Test<String> classNameFilter)`
`DefaultClassFinder(List<Class> classes)`

Method Summary
`List<Class>` | `findAnnotatedClasses(Class<? extends Annotation> annotation)`
`List<Constructor>` | `findAnnotatedConstructors(Class<? extends Annotation> annotation)`
`List<Field>` | `findAnnotatedFields(Class<? extends Annotation> annotation)`
`List<Method>` | `findAnnotatedMethods(Class<? extends Annotation> annotation)`
`List<Package>` | `findAnnotatedPackages(Class<? extends Annotation> annotation)`
`List<Class>` | `findClasses()`
`List<Class>` | `findClasses(Test<ClassFinder.ClassInfo> test)`
`List<Class>` | `findClassesInPackage(String packageName, boolean recursive)`
`List<String>` | `getClassesNotLoaded()` Returns a list of classes that could not be loaded in last invoked findAnnotated* method.
`ClassLoaderInterface` | `getClassLoaderInterface()`
`boolean` | `isAnnotationPresent(Class<? extends Annotation> annotation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultClassFinder

    public DefaultClassFinder(ClassLoaderInterface classLoaderInterface,
                              Collection<URL> urls,
                              boolean extractBaseInterfaces,
                              Set<String> protocols,
                              Test<String> classNameFilter)

### DefaultClassFinder

    public DefaultClassFinder(Class... classes)

### DefaultClassFinder

    public DefaultClassFinder(List<Class> classes)

Method Detail

### getClassLoaderInterface

    public ClassLoaderInterface getClassLoaderInterface()

  Specified by:
    `getClassLoaderInterface` in interface `ClassFinder`

### isAnnotationPresent

    public boolean isAnnotationPresent(Class<? extends Annotation> annotation)

  Specified by:
    `isAnnotationPresent` in interface `ClassFinder`

### getClassesNotLoaded

    public List<String> getClassesNotLoaded()

  Description copied from interface: `ClassFinder`
  Returns a list of classes that could not be loaded in last invoked findAnnotated* method.

  The list will only contain entries of classes whose byte code matched the requirements of last invoked find* method, but were unable to be loaded and included in the results.

  The list returned is unmodifiable. Once obtained, the returned list will be a live view of the results from the last findAnnotated* method call.

  This method is not thread safe.

  Specified by:
    `getClassesNotLoaded` in interface `ClassFinder`
  Returns:
    an unmodifiable live view of classes that could not be loaded in previous findAnnotated* call.

### findAnnotatedPackages

    public List<Package> findAnnotatedPackages(Class<? extends Annotation> annotation)

  Specified by:
    `findAnnotatedPackages` in interface `ClassFinder`

### findAnnotatedClasses

    public List<Class> findAnnotatedClasses(Class<? extends Annotation> annotation)

  Specified by:
    `findAnnotatedClasses` in interface `ClassFinder`

### findAnnotatedMethods

    public List<Method> findAnnotatedMethods(Class<? extends Annotation> annotation)

  Specified by:
    `findAnnotatedMethods` in interface `ClassFinder`

### findAnnotatedConstructors

    public List<Constructor> findAnnotatedConstructors(Class<? extends Annotation> annotation)

  Specified by:
    `findAnnotatedConstructors` in interface `ClassFinder`

### findAnnotatedFields

    public List<Field> findAnnotatedFields(Class<? extends Annotation> annotation)

  Specified by:
    `findAnnotatedFields` in interface `ClassFinder`

### findClassesInPackage

    public List<Class> findClassesInPackage(String packageName,
                                            boolean recursive)

  Specified by:
    `findClassesInPackage` in interface `ClassFinder`

### findClasses

    public List<Class> findClasses(Test<ClassFinder.ClassInfo> test)

  Specified by:
    `findClasses` in interface `ClassFinder`

### findClasses

    public List<Class> findClasses()

  Specified by:
    `findClasses` in interface `ClassFinder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.